Subject: Re: bug#48479: 28.0.50; Crash on `read--expression'

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 May 2021 18:14:12 +0300

> From: Jean Louis <[email-masked]>
> Date: Mon, 17 May 2021 14:39:14 +0300
> 
> 
> This function is not complete, I was just testing things. But when I
> invoke interactively M-x rcd-hash-edit then Emacs crashes. I did not
> want to place "nil" down, this comes from testing. It crashes with emacs
> -Q when you evaluate this function and invoke it interactively.
> 
> (defun rcd-hash-edit ()
>   "Interactively choose a hash to edit."
>   (interactive)
>   (let ((hash (condition-case nil
> 		  (read--expression "Hash to edit: ")
> 		nil)))
>     (if (eq (type-of (symbol-value hash)) 'hash-table)
> 	(rcd-hash-edit-hash hash)
>       (message "Symbol is not a hash"))))
> 
> Fatal error 11: Segmentation fault
> Backtrace:

Thanks, this was caused by a recent addition of the :success handler.
I tried to fix that on the master branch now.